Loading...
Searching...
No Matches
shared_ptr.hh File Reference

This file implements several utilities related to std::shared_ptr. More...

`#include <memory>`
`#include <dune/common/typetraits.hh>`

Go to the source code of this file.

## Classes

struct | Dune::null_deleter< T >
| implements the Deleter concept of shared_ptr without deleting anything More...

## Namespaces

namespace | Dune
| Dune namespace

## Functions

template<typename T>
std::shared_ptr< T > | Dune::stackobject_to_shared_ptr (T &t)
| Create a shared_ptr for a stack-allocated object.
template<class T>
auto | Dune::wrap_or_move (T &&t)
| Capture R-value reference to shared_ptr.
template<class T>
auto | Dune::wrap_or_move (T &t)
| Capture L-value reference to std::shared_ptr.

## Detailed Description

This file implements several utilities related to std::shared_ptr.

Author
  Markus Blatt